Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 170924 - Make sure all important mime types are correctly recognized
Summary: Make sure all important mime types are correctly recognized
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: shared-mime-info
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2005-10-15 18:13 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-28 13:46:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 5210 None None None Never

Description Matthias Clasen 2005-10-15 18:13:13 UTC
E.g. going to fonts:/// in nautilus reveals a number of font formats are not
correctly recognized.

Comment 1 Matthias Clasen 2005-10-28 04:52:57 UTC
A patch to improve the situation for duplicate globs (as in the fonts example)
can be found here:
http://lists.freedesktop.org/archives/xdg/2005-October/007434.html

A simple testsuite for shared-mime-info is beginning to take shape on my machine.

Comment 2 Matthias Clasen 2006-01-20 15:04:00 UTC
Duplicate globs patch got applied and is in rawhide.
The test suite sits in fd.o bugzilla somewhere

Comment 3 Matthias Clasen 2006-01-27 17:13:55 UTC
See https://bugs.freedesktop.org/show_bug.cgi?id=5210

Comment 5 John Thacker 2006-10-29 20:57:40 UTC
Since the patch got applied in rawhide and the testsuite stuff is in upstream
bugzilla, I'm closing this upstream.  Hope that's okay.

Comment 6 Matthias Clasen 2006-10-29 21:33:46 UTC
No, please leave it open for now.

Comment 7 Matthew Miller 2007-04-10 17:31:01 UTC
Moving this to devel release.

Comment 8 Bastien Nocera 2007-08-28 13:46:51 UTC
The test suite got committed upstream, closing.


Note You need to log in before you can comment on or make changes to this bug.